Package org.jbpm.kie.services.impl

## Class AdHocUserTaskServiceImpl

- java.lang.Object
- - org.jbpm.kie.services.impl.AdHocUserTaskServiceImpl

- All Implemented Interfaces:
    `VariablesAware`, `AdHocUserTaskService`
  Direct Known Subclasses:
    `AdHocUserTaskServiceCDIImpl`

      public class AdHocUserTaskServiceImpl
      extends Object
      implements AdHocUserTaskService, VariablesAware

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AdHocUserTaskServiceImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `addTask​(String taskName, int priority, Date dueDate, List<String> users, List<String> groups, String identity, String taskformName, String deploymentId, Long processInstanceId, Map<String,​Object> params, boolean autoStart, boolean autoClaim)` | Adds a new ad-hoc task.
    `long` | `addTask​(org.kie.api.task.model.Task task, Map<String,​Object> params)` | Adds a new ad-hoc task.
    `protected org.kie.internal.task.api.InternalTaskService` | `getInternalTaskService()` |
    `<T> T` | `process​(T variables, ClassLoader cl)` | Generic processing method that might be simply returning same instance of variables if no processing is required.
    `void` | `setNonProcessScopedTaskService​(org.kie.internal.task.api.InternalTaskService nonProcessScopedTaskService)` |
    `void` | `updateTask​(long taskId, int priority, String taskDescription, Date dueDate)` | Updates and existing task.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AdHocUserTaskServiceImpl

          public AdHocUserTaskServiceImpl()

  - ### Method Detail

    - #### setNonProcessScopedTaskService

          public void setNonProcessScopedTaskService​(org.kie.internal.task.api.InternalTaskService nonProcessScopedTaskService)

    - #### getInternalTaskService

          protected org.kie.internal.task.api.InternalTaskService getInternalTaskService()

    - #### addTask

          public long addTask​(String taskName,
                              int priority,
                              Date dueDate,
                              List<String> users,
                              List<String> groups,
                              String identity,
                              String taskformName,
                              String deploymentId,
                              Long processInstanceId,
                              Map<String,​Object> params,
                              boolean autoStart,
                              boolean autoClaim)

      Description copied from interface: `AdHocUserTaskService`
      Adds a new ad-hoc task.
      Specified by:
        `addTask` in interface `AdHocUserTaskService`
      Returns:
        task identifier

    - #### updateTask

          public void updateTask​(long taskId,
                                 int priority,
                                 String taskDescription,
                                 Date dueDate)

      Description copied from interface: `AdHocUserTaskService`
      Updates and existing task.
      Specified by:
        `updateTask` in interface `AdHocUserTaskService`

    - #### process

          public <T> T process​(T variables,
                               ClassLoader cl)

      Description copied from interface: `VariablesAware`
      Generic processing method that might be simply returning same instance of variables if no processing is required.
      Specified by:
        `process` in interface `VariablesAware`
      Parameters:
        `variables` - object that holds varialble(s)
        `cl` - classloader that shall be used to operate on the variables e.g. project class loader
      Returns:

    - #### addTask

          public long addTask​(org.kie.api.task.model.Task task,
                              Map<String,​Object> params)

      Description copied from interface: `AdHocUserTaskService`
      Adds a new ad-hoc task.
      Specified by:
        `addTask` in interface `AdHocUserTaskService`
      Returns:
        task identifier